Bug 241457 - k3b does something to the CD device, breaks kernel
k3b does something to the CD device, breaks kernel
Status: CLOSED WORKSFORME
Product: Fedora
Classification: Fedora
Component: k3b (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Harald Hoyer
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-05-25 22:14 EDT by Bill Nottingham
Modified: 2014-03-16 23:07 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-03-19 23:22:56 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Bill Nottingham 2007-05-25 22:14:13 EDT
Description of problem:

I have kscd in the tray (no disc in the drive).

I then try and start k3b.

Immediately:

sr0: CDROM not ready.  Make sure there is a disc in the drive.
ata2.00: exception Emask 0x0 SAct 0x0 SErr 0x0 action 0x2 frozen
ata2.00: cmd a0/01:00:00:00:00/00:00:00:00:00/a0 tag 0 cdb 0xac data 8 in
         res 40/00:03:00:00:20/00:00:00:00:00/a0 Emask 0x4 (timeout)
ata2: port is slow to respond, please be patient (Status 0xd0)
ata2: port failed to respond (30 secs, Status 0xd0)
ata2: soft resetting port
ATA: abnormal status 0xD0 on port 0x0000000000010177
ATA: abnormal status 0xD0 on port 0x0000000000010177
ATA: abnormal status 0xD0 on port 0x0000000000010177
ATA: abnormal status 0xD0 on port 0x0000000000010177
ATA: abnormal status 0xD0 on port 0x0000000000010177
ATA: abnormal status 0xD0 on port 0x0000000000010177
ATA: abnormal status 0xD0 on port 0x0000000000010177

both programs then go off into nowhere.

Version-Release number of selected component (if applicable):

kdemultimedia-3.5.6-7.fc7
k3b-1.0-1.fc7
Comment 1 Bill Nottingham 2007-05-25 22:18:37 EDT
Actually, k3b does this even if kscd isn't running. Not sure what it's doing,
but the kernel doesn't like it. (And, arguably, the kernel shouldn't freak out.)
Comment 2 Rex Dieter 2008-03-19 18:48:26 EDT
See this recently/lately?
Comment 3 Bill Nottingham 2008-03-19 22:42:08 EDT
No, but haven't tried either. Probably has something to do with crappy hardware
and can be closed.
Comment 4 Rex Dieter 2008-03-19 23:22:56 EDT
sounds good to me. :)  we can easily revisit this if anyone reports similar issues.

Note You need to log in before you can comment on or make changes to this bug.